Subject: [AVTCORE] Nits about draft-ietf-avt-srtp-aes-gcm

From: Mark Espe <[email-masked]>
Date: Fri, 24 Jun 2011 20:00:19 +0000

Hi,

The draft seems very readable and understandable.  I don't think anyone reading the draft as it is will be confused but I have a few suggestions.

Section 1.2.3  "... concatenating a 2-octets ..." -   lose the 'a'

Section 1.2.4 Says Figure 3 but should be Figure 2

After Table 1 'ant' should be 'and'

Section 2.3 is about AES-CCM but the second sentence has AES-GCM

The discussion of the block counters say they start as "1" or "0" which I always think of as the ASCII characters rather than just a binary one or zero which I think is the intent.  How about using notation like 0x1 and 0x0?  That would also work later for the CCM flag bytes - they could be 0x5A etc.

Like I said, nits.

mark